package com.example.wabi.view.screeens.profile.items

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.runtime.MutableState
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.navigation.NavHostController
import com.example.wabi.view.components.buttons.ButtonBack
import com.example.wabi.view.screeens.profile.ProfileViewModel

@Composable
fun UpdateProfile(
    navHostController: NavHostController,
    vm: ProfileViewModel,
    stateChanger: MutableState<Int>,
    modifier: Modifier = Modifier
) {
    Column(
        modifier = modifier
            .fillMaxSize(),
        verticalArrangement = Arrangement.SpaceAround,
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Row(
            modifier = Modifier.fillMaxWidth()
        ) {
            ButtonBack(onClick = {
                stateChanger.value = ProfileStateDestinations.profile
            }, modifier = Modifier.padding(10.dp))
        }
    }
}